Package org.bukkit.block.data.type

# Enum Class Slab.Type

java.lang.Object
java.lang.Enum<Slab.Type>
org.bukkit.block.data.type.Slab.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Slab.Type>`, `Constable`

Enclosing interface:
  Slab

public static enum Slab.Type extends Enum<Slab.Type>
The type of the slab.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOTTOM`
The slab occupies the lower y half of the block.
`DOUBLE`
The slab occupies the entire block.
`TOP`
The slab occupies the upper y half of the block.

## Method Summary

Modifier and Type
Method
Description
`static Slab.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Slab.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TOP

public static final Slab.Type TOP
The slab occupies the upper y half of the block.

### BOTTOM

public static final Slab.Type BOTTOM
The slab occupies the lower y half of the block.

### DOUBLE

public static final Slab.Type DOUBLE
The slab occupies the entire block.

## Method Details

### values

public static Slab.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Slab.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null